@InBook{MAR-00-1,
    title = {Consequence Finding Algorithms},
    booktitle = {Handbook on Defeasible Reasoning and Uncertainty Management Systems},
    chapter = { 2},
    publisher = { Kluwer Academic Publisher},
    editor = {Moral S. et Kohlas J. (eds.), Gabbay D. et Smets Ph. (série eds.)},
    volume = { 5 :},
    pages = { 41-145},
    author = {Marquis, Pierre},
    OPT_auteurs_membres = {Marquis, Pierre},
    year = {2000},
}

%% inria-00119916, version 5
%% http://hal.inria.fr/inria-00119916/en/
@techreport{ANTONIU:2006:INRIA-00119916:5,
	title = { {P}erformance scalability of the {JXTA} {P}2{P} framework},
	author = {{A}ntoniu, {G}abriel and {C}udennec, {L}o{\"i}c and {D}uigou, {M}ike and {J}an, {M}athieu},
	abstract = {{F}eatures of the {P}2{P} model, such as scalability and volatility tolerance, have motivated its use in distributed systems. {S}everal generic {P}2{P} libraries have been proposed for building distributed applications. {H}owever, very few experimental evaluations of these frameworks have been conducted, especially at large scales. {S}uch experimental analyses are important, since they can help system designers to optimize {P}2{P} protocols and better understand the benefits of the {P}2{P} model. {T}his is particularly important when the {P}2{P} model is applied to special use cases, such as grid computing. {T}his paper focuses on the scalability of two main protocols proposed by the {JXTA} {P}2{P} platform. {F}irst, we provide a detailed description of the underlying mechanisms used by {JXTA} to manage its overlay and propagate messages over it: the rendezvous protocol. {S}econd, we describe the discovery protocol used to find resources inside a {JXTA} network. {W}e then report a detailed, large-scale, multi-site experimental evaluation of these protocols, using the nine clusters of the {F}rench {G}rid'5000 testbed.},
	keywords = {peer-to-peer, large scale, experimentation, peerview, discovery},
	language = {{A}nglais},
	affiliation = {{PARIS} - {INRIA} - {IRISA} - {CNRS} : {UMR}6074 - {INRIA} - {\'E}cole normale sup{\'e}rieure de {C}achan - {ENS} {C}achan - {I}nstitut {N}ational des {S}ciences {A}ppliqu{\'e}es de {R}ennes - {U}niversit{\'e} de {R}ennes 1 - {P}roject {JXTA}, {S}un {M}icrosystems - {JXTA} - {S}un {M}icrosystems },
	pages = {24 },
	type = {Research Report},
	institution = {INRIA},
	number = {{RR}-6064},
    year = {2006},
    URL = {http://hal.inria.fr/inria-00119916/en/},
    URL = {http://hal.inria.fr/inria-00119916/PDF/RR-6064.pdf},
}

%% inria-00000268, version 1
%% http://hal.inria.fr/inria-00000268/en/
@inproceedings{ADJIMAN:2005:INRIA-00000268:1,
	title = { {S}ome{W}here in the {S}emantic {W}eb},
	author = {{A}djiman, {P}hilippe and {C}hatalic, {P}hilippe and {G}oasdou{\'e}, {F}ran{\c{c}}ois and {R}ousset, {M}arie-{C}hristine and {S}imon, {L}aurent},
	abstract = {{I}n this paper, we describe the {S}ome{W}here semantic peer-to-peer data management system that promotes a "small is beautiful" vision of the {S}emantic {W}eb based on simple personalized ontologies (e.g., taxonomies of classes) but which are distributed at a large scale. {I}n this vision of the {S}emantic {W}eb, no user imposes to others his own ontology. {L}ogical mappings between ontologies make possible the creation of a web of people in which personalized semantic marking up of data cohabits nicely with a collaborative exchange of data. {I}n this view, the {W}eb is a huge peer-to-peer data management system based on simple distributed ontologies and mappings.},
	language = {{A}nglais},
	affiliation = {{L}aboratoire de {R}echerche en {I}nformatique - {LRI} - {CNRS} : {UMR}8623 - {U}niversit{\'e} {P}aris {S}ud - {P}aris {XI} - {L}aboratoire {L}ogiciels {S}yst{\`e}mes {R}{\'e}seaux - {LSR} - {IMAG} - {CNRS} : {UMR}5526 - {U}niversit{\'e} {J}oseph {F}ourier - {G}renoble {I} - {I}nstitut {N}ational {P}olytechnique de {G}renoble - {INPG} },
	booktitle = {{I}nternational {W}orkshop on {P}rinciples and {P}ractice of {S}emantic {W}eb {R}easoning },
	address = {{D}agstuhl, {G}ermany },
	audience = {non sp{\'e}cifi{\'e}e },
    day = {12},
    month = {09},
    year = {2005},
    URL = {http://hal.inria.fr/inria-00000268/en/},
    URL = {http://hal.inria.fr/inria-00000268/PDF/ACGRS-PPSWR-05.pdf},
}

%% inria-00179862, version 1
%% http://hal.inria.fr/inria-00179862/en/
@inproceedings{CHATALIC:2006:INRIA-00179862:1,
	title = { {R}easoning with {I}nconsistencies in {P}ropositional {P}eer-to-{P}eer {I}nference {S}ystems},
	author = {{C}hatalic, {P}hilippe and {N}guyen, {G}ia {H}ien and {R}ousset, {M}arie {C}hristine},
	abstract = {n a peer-to-peer inference system, there is no centralized control or hierarchical organization: each peer is equivalent in functionality and cooperates with other peers in order to solve a collective reasoning task. {S}ince peer theories model possibly different viewpoints, even if each local theory is consistent, the global theory may be inconsistent. {W}e exhibit a distributed algorithm detecting inconsistencies in a fully decentralized setting. {W}e provide a fully distributed reasoning algorithm, which computes only well-founded consequences of a formula, i.e., with a consistent set of support.},
	language = {{A}nglais},
	affiliation = {{GEMO} - {INRIA} {F}uturs - {INRIA} - {CNRS} : {UMR}8623 - {U}niversit{\'e} {P}aris {S}ud - {P}aris {XI} - {L}aboratoire de {R}echerche en {I}nformatique - {LRI} - {CNRS} : {UMR}8623 - {U}niversit{\'e} {P}aris {S}ud - {P}aris {XI} - {L}aboratoire d'{I}nformatique de {G}renoble - {LIG} - {CNRS} : {UMR}5217 - {INRIA} - {U}niversit{\'e} {P}ierre {M}end{\`e}s-{F}rance - {G}renoble {II} - {U}niversit{\'e} {J}oseph {F}ourier - {G}renoble {I} - {I}nstitut {P}olytechnique de {G}renoble },
	booktitle = {{E}uropean {C}onference on {A}rtificial {I}ntelligence ({ECAI}'06) },
	publisher = {{IOS} {P}ress },
	address = {{R}iva del {G}arda {I}talie },
	note = {{H}.: {I}nformation {S}ystems },
	audience = {internationale },
    year = {2006},
    URL = {http://hal.inria.fr/inria-00179862/en/},
    URL = {http://hal.inria.fr/inria-00179862/PDF/chatalic_nguyen_rousset_ecai_06.pdf},
}

%% inria-00000267, version 1
%% http://hal.inria.fr/inria-00000267/en/
@inproceedings{ADJIMAN:2005:INRIA-00000267:1,
	title = { {S}calability {S}tudy of {P}eer-to-{P}eer {C}onsequence {F}inding},
	author = {{A}djiman, {P}hilippe and {C}hatalic, {P}hilippe and {G}oasdou{\'e}, {F}ran{\c{c}}ois and {R}ousset, {M}arie-{C}hristine and {S}imon, {L}aurent},
	abstract = {{I}n peer-to-peer inference systems, each peer can reason locally but also solicit some of its acquaintances, sharing part of its vocabulary. {T}his paper studies both theoretically and experimentally the problem of computing proper prime implicates for propositional peer-to-peer systems, the global theory (union of all peer theories) of which is not known (as opposed to partition-based reasoning).},
	language = {{A}nglais},
	affiliation = {{L}aboratoire de {R}echerche en {I}nformatique - {LRI} - {CNRS} : {UMR}8623 - {U}niversit{\'e} {P}aris {S}ud - {P}aris {XI} - {L}aboratoire {L}ogiciels {S}yst{\`e}mes {R}{\'e}seaux - {LSR} - {IMAG} - {CNRS} : {UMR}5526 - {U}niversit{\'e} {J}oseph {F}ourier - {G}renoble {I} - {I}nstitut {N}ational {P}olytechnique de {G}renoble - {INPG} },
	booktitle = {{I}nternational {J}oint {C}onference on {A}rtificial {I}ntelligence },
	address = {{E}dinburgh, {UK} },
	audience = {non sp{\'e}cifi{\'e}e },
    day = {01},
    month = {08},
    year = {2005},
    URL = {http://hal.inria.fr/inria-00000267/en/},
    URL = {http://hal.inria.fr/inria-00000267/PDF/ACGRS-IJCAI-05.pdf},
}

%% inria-00091169, version 1
%% http://hal.inria.fr/inria-00091169/en/
@article{ADJIMAN:2006:INRIA-00091169:1,
	title = { {S}ome{RDFS} in the {S}emantic {W}eb},
	author = {{A}djiman, {P}hilippe and {G}oasdou{\'e}, {F}ran{\c{c}}ois and {R}ousset, {M}arie-{C}hristine},
	abstract = {{T}he {S}emantic {W}eb envisions a world-wide distributed architecture where computational resources will easily inter-operate to coordinate complex tasks such as query answering. {S}emantic marking up of web resources using ontologies is expected to provide the necessary glue for making this vision work. {U}sing ontology languages, (communities of) users will build their own ontologies in order to describe their own data. {A}dding semantic mappings between those ontologies, in order to semantically relate the data to share, gives rise to the {S}emantic {W}eb: data on the web that are annotated by ontologies networked together by mappings. {I}n this vision, the {S}emantic {W}eb is a huge semantic peer data management system. {I}n this paper, we describe the {S}ome{RDFS} peer data management systems that promote a "simple is beautiful" vision of the {S}emantic {W}eb based on data annotated by {RDFS} ontologies.},
	language = {{A}nglais},
	affiliation = {{L}aboratoire de {R}echerche en {I}nformatique - {LRI} - {CNRS} : {UMR}8623 - {U}niversit{\'e} {P}aris {S}ud - {P}aris {XI} - {L}aboratoire {L}ogiciels {S}yst{\`e}mes {R}{\'e}seaux - {LSR} - {IMAG} - {CNRS} : {UMR}5526 - {U}niversit{\'e} {J}oseph {F}ourier - {G}renoble {I} - {I}nstitut {N}ational {P}olytechnique de {G}renoble - {INPG} - {GEMO} - {INRIA} {F}uturs - {INRIA} - {CNRS} : {UMR}8623 - {U}niversit{\'e} {P}aris {S}ud - {P}aris {XI} },
	publisher = {{S}pringer-{V}erlag },
	journal = {{J}ournal on {D}ata {S}emantics },
	volume = {8 },
	audience = {non sp{\'e}cifi{\'e}e },
    year = {2006},
    URL = {http://hal.inria.fr/inria-00091169/en/},
    URL = {http://hal.inria.fr/inria-00091169/PDF/SomeRDFS.pdf},
}


%% inria-00070538, version 1
%% http://hal.inria.fr/inria-00070538/en/
@techreport{ANTONIU:2005:INRIA-00070538:1,
	title = { {P}erformance {E}valuation of {JXTA} {C}ommunication {L}ayers (extended version)},
	author = {{A}ntoniu, {G}abriel and {H}atcher, {P}hil and {J}an, {M}athieu and {N}oblet, {D}avid},
	abstract = {{T}he arrival of the {P}2{P} model has opened many new avenues for research within the field of distributed computing. {T}his is mainly due to important practical features (such as support for volatility, high scalability). {S}everal generic {P}2{P} libraries have been proposed for building higher-level services. {I}n order to judge the appropriateness of using a generic {P}2{P} library for a given application type, an experimental performance evaluation of the provided functionalities is unavoidable. {V}ery few analyses of this kind have been reported, as most evaluations are limited to complexity analyses and to simulations. {S}uch experimental analyses are important, especially when using {P}2{P} software in a grid computing context, where applications may have precise efficiency requirements. {I}n this paper, we focus on {JXTA}, which provides generic building blocks and protocols intended to serve as a basis for specialized {P}2{P} services and applications. {W}e perform a performance evaluation of the three communication layers (endpoint, pipe and socket) over a {F}ast {E}thernet local-area network, for recent versions of the {J}2{SE} and {C} bindings of {JXTA}. {W}e provide a detailed analysis explaining the behavior of these three layers and we give hints showing how to efficiently use them.},
	keywords = {{PEER}-{TO}-{PEER} / {JXTA} / {COMMUNICATION} {LAYERS} / {PERFORMANCE}},
	language = {{A}nglais},
	affiliation = {{PARIS} - {INRIA} - {IRISA} - {CNRS} : {UMR}6074 - {INRIA} - {\'E}cole normale sup{\'e}rieure de {C}achan - {ENS} {C}achan - {I}nstitut {N}ational des {S}ciences {A}ppliqu{\'e}es de {R}ennes - {U}niversit{\'e} de {R}ennes 1 - {D}epartment of {C}omputer {S}cience - {CS} - {UNH} - {U}niversity of {N}ew {H}ampshire },
	pages = {21 },
	type = {Research Report},
	institution = {INRIA},
	number = {{RR}-5469},
    year = {2005},
    URL = {http://hal.inria.fr/inria-00070538/en/},
    URL = {http://hal.inria.fr/inria-00070538/PDF/RR-5469.pdf},
}

@book{OaksTraversatGong02,
  address = {Sebastopol, CA},
  author = {Scott Oaks and Bernard Traversat and Li Gong},
  interHash = {0983ec5f83c1750b69a9228507c45332},
  intraHash = {442c1bf09f13eebfeb83ec6821ff220e},
  publisher = {O'Reilly},
  title = {JXTA in a Nutshell},
  year = {2002},
  timestamp = {2009.11.22},
  file = {O'Reilly Product page:http\://www.oreilly.com/catalog/9780596002367/:URL;Amazon Search inside:http\://www.amazon.de/gp/reader/059600236X/:URL;Google Books:http\://books.google.de/books?isbn=978-0-596-00236-7:URL},
  isbn = {978-0-596-00236-7},
  owner = {flint},
  abstract = {O'Reilly's pioneering reference is the first and last word on this
	powerful distributed computing technology. JXTA in a Nutshell delivers
	all the information you need to get started, including an overview
	of P2P distributed computing, an explanation of the JXTA Project's
	new platform, and ways that developers can become a part of the development
	effort. JXTA in a Nutshell introduces major concepts in a hands-on
	way by explaining them in context to the shell, and contains a complete
	reference to the JXTA application bindings. Also included is the
	full JXTA protocol specification. The book covers important topics
	such as security, and how the JXTA technology fits into the standard
	Java classes.}
}

@book{560389,
 author = {Brookshier, Daniel and Govoni, Darren and Krishnan, Navaneeth and Soto, Juan Carlos},
 title = {JXTA: Java P2P Programming},
 year = {2002},
 isbn = {0672323664},
 publisher = {Sams},
 address = {Indianapolis, IN, USA},
 }

